Subject: RE: The status of the approaches to the E-Tree solution?

From: "Daniel Cohn" <[email-masked]>
Date: Wed, 18 Apr 2012 21:41:50 +0300

I think the first option its the natural way to go. How is the processing in this case more complex?

Thumb typed - please be tolerant

Lucy yong <[email-masked]> wrote:

Snipped..

Multi-PW - On ingress PE, frame is placed onto either a Leaf-only P2MP PW
(for traffic coming from a leaf AC), or onto a Root/Leaf P2MP PW (for
traffic coming from a root AC)
[[LY]] Not that simple. You construct either two P2MP PWs to all other PEs and let egress PE performing filtering, or construct one P2MP PW to leaf-only PEs and two P2MP PWs to root and leaf PEs and let ingress PE perform forwarding and filtering. Both make node process complex.

[[LY]] VPLS is built with the mechanism utilizing P2P and P2MP PW for delivering the frames to remote PEs. We should utilize them with the minimized changes. Dual VLAN solution is simpler than Dual PW.

Regards,
Lucy

I see how 2VLAN is simpler when P2MP PW's are involved, I think.  I
haven't had any first hand experience with P2MP PW's, however, so don't
feel terribly strong about this objection.  Is this a real problem for
others (now or in the future), or is this objection in the weeds?

I'm not sure the 'additional complexity' is notable, or even relevant.  I
encourage others to speak up if they disagree, as P2MP PW is only
conceptual to me, and I am unfamiliar with real-life use cases for it.

Thanks,
Josh

On 4/18/12 10:30 AM, "Lucy yong" <[email-masked]> wrote:

>Please see inline.
>
>-----Original Message-----
>From: Sam Cao [mailto:[email-masked]]
>Sent: Tuesday, April 17, 2012 7:14 AM
>To: 'Daniel Cohn'; Lucy yong; 'Rogers, Josh'; 'Henderickx, Wim (Wim)';
>[email-masked]; [email-masked];
>[email-masked]
>Cc: [email-masked]; [email-masked];
>[email-masked]; [email-masked];
>[email-masked]; [email-masked]
>Subject: RE: The status of the approaches to the E-Tree solution?
>
>Yes, 2 pws are only needed between pes with both root and leaf acs after
>improving Dual-PW approach. If consider P2MP, Dual-PW approach setup 2
>P2MP
>PWs if need. There is no difference between P2MP or normal PW setup. But,
>can Leaf-ACs be bound to Root PE of P2MP PW?
>
>[[LY]] No, it makes complex in setting up P2MP PW. Should a PE with both
>root and leaf ACs set up two or one P2MP PW to other PEs (some PE have
>both root and leaf AC and some only have leaf ACs)?
>Regards,
>Lucy
>
>Regards,
>
>Yuqun (Sam) Cao
>E-mail: [email-masked]
>
>
>-----Original Message-----
>From: Daniel Cohn [mailto:[email-masked]]
>Sent: Tuesday, April 17, 2012 4:56 PM
>To: Lucy yong; Rogers, Josh; Henderickx, Wim (Wim); [email-masked];
>[email-masked]; [email-masked]; Sam Cao
>Cc: [email-masked]; [email-masked];
>[email-masked]; [email-masked];
>[email-masked]; [email-masked]
>Subject: RE: The status of the approaches to the E-Tree solution?
>
>Adding Sam (as l2vpn@ is holding messages)
>
>DC
>
>-----Original Message-----
>From: Lucy yong [mailto:[email-masked]]
>Sent: Tuesday, April 17, 2012 12:39 AM
>To: Daniel Cohn; Rogers, Josh; Henderickx, Wim (Wim);
>[email-masked]; [email-masked];
>[email-masked]
>Cc: [email-masked]; [email-masked];
>[email-masked]; [email-masked];
>[email-masked]; [email-masked]
>Subject: RE: The status of the approaches to the E-Tree solution?
>
>
>Snipped,
>
>As we discussed extensively in the list, and as reflected in giles
>slide, 2 pws are only needed between pes with both root and leaf acs,
>which will typically be a small minority.
>[[LY]] Don't know if the assumption is true. Even it is the case, both
>approaches can benefit from it. I was off for a while and captures some
>discussions now.
>
>Also as per giles slide, dual vlan can have scalability issues due to
>additional lookup and double use of vlans in internal emulated lan
>interface. Also there are potential backward compatibility issues with
>silicon that doesn't support vlan mapping.
>[[LY]] I was not in IETF83 meeting and wait on the meeting minutes. I am
>not clear on all the issues. Could you be more specific? As I mentioned
>in below, two PW approach makes VPLS transport construction and packet
>forwarding more complex, I can see potential backward compatibility
>issues with 2 PW solution.
>
>Regards,
>Lucy
>
>Regards,
>
>Daniel
>
>Thumb typed - please be tolerant
>
>Lucy yong <[email-masked]> wrote:
>
>In my mind, the VLAN approach means dual vlan method.
>
>The main concern for CW approach is hardware support.
>
>Two PW approach can be complex too if the VPLS instance for E-Tree uses
>P2P PW for unicast traffic and P2MP PW for broadcast and unknown unicast
>traffic, and some P2MP PWs for multicast traffic. It may double all of
>them.
>
>E-tree is an Ethernet service and there is already VLAN based solution
>in IEEE, can we just utilize it without complicating VPLS transport
>construction? This also makes interworking with Eth only network easier.
>
>Cheers,
>Lucy
>
>-----Original Message-----
>From: Rogers, Josh [mailto:[email-masked]]
>Sent: Monday, April 16, 2012 8:35 AM
>To: Lucy yong; Henderickx, Wim (Wim); [email-masked]';
>[email-masked]'; [email-masked]'
>Cc: [email-masked]'; [email-masked]';
>[email-masked]'; [email-masked]';
>[email-masked]'; [email-masked]'
>Subject: RE: The status of the approaches to the E-Tree solution?
>
>I believe the initial question was in regard to the CW method.  Are you
>saying that you no longer are interested in that method in preference of
>the dual vlan method?
>
>
>
>Lucy yong <[email-masked]> wrote:
>
>
>Agree with Wim. VLAN approach is the best solution for E-Tree.
>
>Lucy
>
>-----Original Message-----
>From: [email-masked] [mailto:[email-masked]] On Behalf
>Of Henderickx, Wim (Wim)
>Sent: Thursday, April 12, 2012 2:03 AM
>To: [email-masked]'; [email-masked]';
>[email-masked]'
>Cc: [email-masked]'; [email-masked]';
>[email-masked]'; [email-masked]';
>[email-masked]'; [email-masked]'
>Subject: Re: The status of the approaches to the E-Tree solution?
>
>The vlan approach is superior as it also works for eth only networks,
>etc. On top some vendors indicate hw issues with the cw approach. As
>such we have dropped more or less the cw approach.
>
>Cheers,
>Wim
>_________________
>sent from blackberry
>
>----- Original Message -----
>From: Giles Heron [mailto:[email-masked]]
>Sent: Thursday, April 12, 2012 08:22 AM
>To: Simon Delord <[email-masked]>; Alexander Vainshtein
><[email-masked]>
>Cc: [email-masked] <[email-masked]>; Vladimir Kleiner
><[email-masked]>; Andrew Sergeev
><[email-masked]>; Idan Kaspit <[email-masked]>;
>Mishael Wexler <[email-masked]>; Rotem Cohen
><[email-masked]>
>Subject: Re: The status of the approaches to the E-Tree solution?
>
>Sorry - the "anonymous presentation" was mine.  I should possibly have
>put in a third column on the CW approach.  And hopefully the minutes
>will be posted soon.
>
>We had various discussions, as Simon stated, and consensus seemed to be
>forming around the two alternatives of two PWEs or two VLANs.  I believe
>three of the authors of the CW approach are also authors of the two VLAN
>approach and one is also an author of the two PWE approach. So perhaps
>it's best to let those four individuals say which approach they prefer
>and why?
>
>Giles
>
>On 10/04/2012 00:45, "Simon Delord" <[email-masked]> wrote:
>
>> Hi Alexander,
>>
>> You are right, no discussion on the WG mailing list recently, but
>> there have been substantial discussions among the authors of various
>> solution drafts off the mailing list. As far as I know, no consensus
>> yet before ietf83, not sure the progress in the Paris WG meeting. I
>> think the CW approach has not been rejected by the WG yet, or the WG
>> has not yet decided on which one to adopt.
>>
>> Simon
>>
>> 2012/4/8 Alexander Vainshtein <[email-masked]>
>>
>>>  Hi all,
>>>
>>> Unfortunately I have not been able to attend the Paris IETF.
>>>
>>> However, looking up the L2VPN proceedings, I've found a short
>>> anonymous presentation called "E-Tree Update"  (
>>> http://www.ietf.org/proceedings/83/slides/slides-83-l2vpn-1.pptx).
>>> This presentation discusses the differences of the E-Tree approaches
>>> based on dedicated VLANs (as in
>>> http://datatracker.ietf.org/doc/draft-cao-l2vpn-vpls-etree/?include_t
>>> ext=1) and multiple PWs between the PEs (as in
>>> http://datatracker.ietf.org/doc/draft-ram-l2vpn-etree-multiple-pw/?in
>>> clude_te
>>> xt=1)
>>> and completely ignores the solution based on usage of the CW in the
>>> PWs connecting the PEs (as in
>>> http://datatracker.ietf.org/doc/draft-key-l2vpn-vpls-etree/?include_t
>>> ext=1
>>> ).
>>>
>>>
>>>
>>> The Minutes of the Paris L2VPN session are not yet available, but I
>>> wonder whether the WG has taken a decision to reject the approach
>>> based on the CW usage? I do not remember any recent discussion of
>>> this topic on the WG mailing list.
>>>
>>>
>>>
>>> Regards, and lots of thanks in advance,
>>>
>>> Sasha
>>>
>>>
>>>
>>>
>>>
>>> This e-mail message is intended for the recipient only and contains
>>> information which is CONFIDENTIAL and which may be proprietary to ECI
>
>>> Telecom. If you have received this transmission in error, please
>>> inform us by e-mail, phone or fax, and then delete the original and
>>> all copies thereof.
>>>
>
>
>
>
>
>This E-mail and any of its attachments may contain Time Warner Cable
>proprietary information, which is privileged, confidential, or subject
>to copyright belonging to Time Warner Cable. This E-mail is intended
>solely for the use of the individual or entity to which it is addressed.
>If you are not the intended recipient of this E-mail, you are hereby
>notified that any dissemination, distribution, copying, or action taken
>in relation to the contents of and attachments to this E-mail is
>strictly prohibited and may be unlawful. If you have received this
>E-mail in error, please notify the sender immediately and permanently
>delete the original and any copy of this E-mail and any printout.
>

This E-mail and any of its attachments may contain Time Warner Cable proprietary information, which is privileged, confidential, or subject to copyright belonging to Time Warner Cable. This E-mail is intended solely for the use of the individual or entity to which it is addressed. If you are not the intended recipient of this E-mail, you are hereby notified that any dissemination, distribution, copying, or action taken in relation to the contents of and attachments to this E-mail is strictly prohibited and may be unlawful. If you have received this E-mail in error, please notify the sender immediately and permanently delete the original and any copy of this E-mail and any printout.

---

From: Lucy yong <[email-masked]>
Date: Wed, 18 Apr 2012 18:53:15 +0000

Send this again.

Two PW approach can be complex too if the VPLS instance for E-Tree uses 
P2P PW for unicast traffic and P2MP PW for broadcast and unknown 
unicast traffic, and some P2MP PWs for multicast traffic. It may double 
all of them.

Lucy

-----Original Message-----
From: Daniel Cohn [mailto:[email-masked]] 
Sent: Wednesday, April 18, 2012 1:42 PM
To: Lucy yong; Rogers, Josh; Sam Cao
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Snipped..

Regards,
Lucy

Thanks,
Josh

---

From: "Rogers, Josh" <[email-masked]>
Date: Wed, 18 Apr 2012 15:57:09 -0400

Again, the P2MP situation throws me.  Is this something that is used
commonly?

I'm under the impression that adding P2MP to any model results in a more
complex model.  Wether outside s-tag is used to differentiate, or
dedicated pw's are used for the same purpose, it seems both become more
complex.

Gile's comparison slide still concisely captures the differences between
these methods, in my opinion.  I haven't seen any new ideas or thoughts
brought to the group in the past week or two on the subject.  I would hate
for both proposed methods to die on the vine because we couldn't decide
between two methods that have nothing inherently wrong with either.

-Josh

On 4/18/12 1:53 PM, "Lucy yong" <[email-masked]> wrote:

>[[LY]] Not that simple. You construct either two P2MP PWs to all other
>PEs and let egress PE performing filtering, or construct one P2MP PW to
>leaf-only PEs and two P2MP PWs to root and leaf PEs and let ingress PE
>perform forwarding and filtering. Both make node process complex.
>
>[[LY]] VPLS is built with the mechanism utilizing P2P and P2MP PW for
>delivering the frames to remote PEs. We should utilize them with the
>minimized changes. Dual VLAN solution is simpler than Dual PW.
>
>Regards,
>Lucy
>
>
>proprietary information, which is privileged, confidential, or subject to
>copyright belonging to Time Warner Cable. This E-mail is intended solely
>for the use of the individual or entity to which it is addressed. If you
>are not the intended recipient of this E-mail, you are hereby notified
>that any dissemination, distribution, copying, or action taken in
>relation to the contents of and attachments to this E-mail is strictly
>prohibited and may be unlawful. If you have received this E-mail in
>error, please notify the sender immediately and permanently delete the
>original and any copy of this E-mail and any printout.

---

From: Alexander Vainshtein <[email-masked]>
Date: Thu, 19 Apr 2012 04:38:36 +0000

Hi all,
I fully understand that that what I am going to say is not very popular, but:

IMO one of the advantages of the CW-based solution is that it is orthogonal to usage (or non-usage) of P2MP PWs for effective delivery of BUN traffic.

Another advantage is preservation of full mesh of P2P PWs in a VPLS, and, in a more generic way, localization of effects of changes in the PE configuration.

In particular, adding a Leaf AC to a PE that previously has been only supporting Root ACs (or vice versa), removal of the last Leaf or last Root AC from a PE that previously has been supporting a mix etc. affect only the PE where this operation happens and not the rest of the PEs.

As for the need for HW changes that have been mentioned as a main disadvantage of the CW-based approach - I believe it strongly depends on specific implementations. And some changes in the forwarding process are required in any solution.

My 2c,
     Sasha

________________________________________
From: [email-masked] [[email-masked]] on behalf of Rogers, Josh [[email-masked]]
Sent: Wednesday, April 18, 2012 9:57 PM
To: Lucy yong; Daniel Cohn; Sam Cao
Cc: [email-masked]
Subject: Re: The status of the approaches to the E-Tree solution?

-Josh

This E-mail and any of its attachments may contain Time Warner Cable proprietary information, which is privileged, confidential, or subject to copyright belonging to Time Warner Cable. This E-mail is intended solely for the use of the individual or entity to which it is addressed. If you are not the intended recipient of this E-mail, you are hereby notified that any dissemination, distribution, copying, or action taken in relation to the contents of and attachments to this E-mail is strictly prohibited and may be unlawful. If you have received this E-mail in error, please notify the sender immediately and permanently delete the original and any copy of this E-mail and any printout.
This e-mail message is intended for the recipient only and contains information which is CONFIDENTIAL and which may be proprietary to ECI Telecom. If you have received this transmission in error, please inform us by e-mail, phone or fax, and then delete the original and all copies thereof.

---

From: "Henderickx, Wim (Wim)" <[email-masked]>
Date: Thu, 19 Apr 2012 07:03:18 +0200

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Rogers, Josh
Sent: woensdag 18 april 2012 21:57
To: Lucy yong; Daniel Cohn; Sam Cao
Cc: [email-masked]
Subject: Re: The status of the approaches to the E-Tree solution?

WH> we have a number of customers using it, which also want to deploy ETREE with it. They use it mainly to Optimize BUM and multicast traffic.

WH> I don't think we want to kill both but the idea is to come to 1 solution. As I expressed before the VLAN approach is naturally supporting P2P or P2MP LSPs since it is independent of the PW construction since the ETREE decision is taken outside the PW.

-Josh

---

From: "Henderickx, Wim (Wim)" <[email-masked]>
Date: Thu, 19 Apr 2012 07:21:51 +0200

Sasha, the VLAN approach allows for a similar operation as the CW does. It is orthogonal to the underlying PW deployment of VPLS.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Alexander Vainshtein
Sent: donderdag 19 april 2012 6:39
To: Rogers, Josh; Lucy yong; Daniel Cohn; Sam Cao
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Hi all,

My 2c,
     Sasha

-Josh

---

From: Alexander Vainshtein <[email-masked]>
Date: Thu, 19 Apr 2012 05:31:08 +0000

Wim,
Lots of thanks for a prompt response.

I think that operational aspects of the VLAN approach (e.g., how is the Global VID selected and distributed) should be examined in more detail.

At the same time it seems that the double PW approach carries with it too many operational problems.
E.g., no PWs are set up between Leaf-only PEs, but once one of these becomes a Mix PE, all the Leaf-only PEs must now recognize it as a valid peer. And if a Mix PE reverts to a Leaf only one, all its Leaf-only peers must drop it and shut down the relevant PWs...

My 2c,
     Sasha

________________________________________
From: Henderickx, Wim (Wim) [[email-masked]]
Sent: Thursday, April 19, 2012 7:21 AM
To: Alexander Vainshtein; Rogers, Josh; Lucy yong; Daniel Cohn; Sam Cao
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Alexander Vainshtein
Sent: donderdag 19 april 2012 6:39
To: Rogers, Josh; Lucy yong; Daniel Cohn; Sam Cao
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Hi all,

My 2c,
     Sasha

-Josh

---

From: "Henderickx, Wim (Wim)" <[email-masked]>
Date: Thu, 19 Apr 2012 07:33:43 +0200

Sasha, agreed. We will clarify the operational aspects of the VLAN approach in more detail in the draft.

-----Original Message-----
From: Alexander Vainshtein [mailto:[email-masked]]
Sent: donderdag 19 april 2012 7:31
To: Henderickx, Wim (Wim); Rogers, Josh; Lucy yong; Daniel Cohn; Sam Cao
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Wim,

My 2c,
     Sasha

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Alexander Vainshtein
Sent: donderdag 19 april 2012 6:39
To: Rogers, Josh; Lucy yong; Daniel Cohn; Sam Cao
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Hi all,

My 2c,
     Sasha

-Josh

---

From: "Daniel Cohn" <[email-masked]>
Date: Thu, 19 Apr 2012 09:16:29 +0300

Hi Sasha and all,

You have exactly the same "problem" in the 2-VLAN approach - quoting
from the draft:

6. LDP Extensions for E-Tree Support
<snip>
P is a Leaf-only bit, it is set to 1 to indicate that the PE is attached
with only leaves, and set to 0 otherwise.
<snip>
If the P bit is set, then:

      {

          If the PE is a leaf-only node itself, then a label release
      message with the error code "Leaf to Leaf PW error" is sent to the
      peer PE and exit the process;

So all that you wrote about a leaf-only PE becoming mixed and viceversa
applies to both solutions.

Regards,

Daniel

-----Original Message-----
From: Alexander Vainshtein [mailto:[email-masked]] 
Sent: Thursday, April 19, 2012 8:31 AM
To: Henderickx, Wim (Wim); Rogers, Josh; Lucy yong; Daniel Cohn; Sam Cao
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Wim,

I think that operational aspects of the VLAN approach (e.g., how is the
Global VID selected and distributed) should be examined in more detail.

At the same time it seems that the double PW approach carries with it
too many operational problems.
E.g., no PWs are set up between Leaf-only PEs, but once one of these
becomes a Mix PE, all the Leaf-only PEs must now recognize it as a valid
peer. And if a Mix PE reverts to a Leaf only one, all its Leaf-only
peers must drop it and shut down the relevant PWs...

My 2c,
     Sasha

Sasha, the VLAN approach allows for a similar operation as the CW does.
It is orthogonal to the underlying PW deployment of VPLS.

-----Original Message-----
Of Alexander Vainshtein

Hi all,
I fully understand that that what I am going to say is not very popular,
but:

IMO one of the advantages of the CW-based solution is that it is
orthogonal to usage (or non-usage) of P2MP PWs for effective delivery of
BUN traffic.

Another advantage is preservation of full mesh of P2P PWs in a VPLS,
and, in a more generic way, localization of effects of changes in the PE
configuration.

In particular, adding a Leaf AC to a PE that previously has been only
supporting Root ACs (or vice versa), removal of the last Leaf or last
Root AC from a PE that previously has been supporting a mix etc. affect
only the PE where this operation happens and not the rest of the PEs.

As for the need for HW changes that have been mentioned as a main
disadvantage of the CW-based approach - I believe it strongly depends on
specific implementations. And some changes in the forwarding process are
required in any solution.

My 2c,
     Sasha

________________________________________
From: [email-masked] [[email-masked]] on behalf of
Rogers, Josh [[email-masked]]
Sent: Wednesday, April 18, 2012 9:57 PM
To: Lucy yong; Daniel Cohn; Sam Cao
Cc: [email-masked]
Subject: Re: The status of the approaches to the E-Tree solution?

brought to the group in the past week or two on the subject.  I would
hate

-Josh

On 4/18/12 1:53 PM, "Lucy yong" <[email-masked]> wrote:

>I think the first option its the natural way to go. How is the
processing
>in this case more complex?
>
unicast
>proprietary information, which is privileged, confidential, or subject
to

Telecom. If you have received this transmission in error, please inform
us by e-mail, phone or fax, and then delete the original and all copies
thereof.
Telecom. If you have received this transmission in error, please inform
us by e-mail, phone or fax, and then delete the original and all copies
thereof.

---

From: "Henderickx, Wim (Wim)" <[email-masked]>
Date: Thu, 19 Apr 2012 08:34:03 +0200

Daniel, we should discuss this as this is not absolutely required to tear down PW. You can also have an indication in the E-TREE fwd to indicate that the endpoint has no leaf and as such avoid sending traffic down but allow the PW to be setup. As such we have some flexibility such that operators can select the proper approach they would like to have/implement.

-----Original Message-----
From: Daniel Cohn [mailto:[email-masked]]
Sent: donderdag 19 april 2012 8:16
To: Alexander Vainshtein; Henderickx, Wim (Wim); Rogers, Josh; Lucy yong; Sam Cao
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Hi Sasha and all,

      {

Regards,

Daniel

-----Original Message-----
From: Alexander Vainshtein [mailto:[email-masked]]
Sent: Thursday, April 19, 2012 8:31 AM
To: Henderickx, Wim (Wim); Rogers, Josh; Lucy yong; Daniel Cohn; Sam Cao
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Wim,

My 2c,
     Sasha

-----Original Message-----

Hi all,

My 2c,
     Sasha

-Josh

processing
unicast
to

---

From: Ran Chen<[email-masked]>
Date: Thu, 19 Apr 2012 15:20:50 +0800

Hi Sasha,
Plese see inline, thanks

Alexander Vainshtein <[email-masked]> 
发件人:  [email-masked]
2012/04/19 13:31

收件人
"Henderickx, Wim (Wim)" <[email-masked]>, "Rogers, 
Josh" <[email-masked]>, Lucy yong <[email-masked]>, Daniel 
Cohn <[email-masked]>, Sam Cao <[email-masked]>
抄送
"[email-masked]" <[email-masked]>
主题
RE: The status of the approaches to the E-Tree solution?

Wim,

I think that operational aspects of the VLAN approach (e.g., how is the 
Global VID selected and distributed) should be examined in more detail.
[Ran] Agree, and there have already been such draft that describe "how is 
the Gloabal VID selected and distributed" in L2VPN WG, the link is:
http://tools.ietf.org/html/draft-chen-l2vpn-vpls-etree-vlan-01. 

At the same time it seems that the double PW approach carries with it too 
many operational problems.
E.g., no PWs are set up between Leaf-only PEs, but once one of these 
becomes a Mix PE, all the Leaf-only PEs must now recognize it as a valid 
peer. And if a Mix PE reverts to a Leaf only one, all its Leaf-only peers 
must drop it and shut down the relevant PWs...

My 2c,
     Sasha

Sasha, the VLAN approach allows for a similar operation as the CW does. It 
is orthogonal to the underlying PW deployment of VPLS.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of 
Alexander Vainshtein
Sent: donderdag 19 april 2012 6:39
To: Rogers, Josh; Lucy yong; Daniel Cohn; Sam Cao
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Hi all,

Another advantage is preservation of full mesh of P2P PWs in a VPLS, and, 
in a more generic way, localization of effects of changes in the PE 
configuration.

In particular, adding a Leaf AC to a PE that previously has been only 
supporting Root ACs (or vice versa), removal of the last Leaf or last Root 
AC from a PE that previously has been supporting a mix etc. affect only 
the PE where this operation happens and not the rest of the PEs.

My 2c,
     Sasha

________________________________________
From: [email-masked] [[email-masked]] on behalf of Rogers, 
Josh [[email-masked]]
Sent: Wednesday, April 18, 2012 9:57 PM
To: Lucy yong; Daniel Cohn; Sam Cao
Cc: [email-masked]
Subject: Re: The status of the approaches to the E-Tree solution?

-Josh

This E-mail and any of its attachments may contain Time Warner Cable 
proprietary information, which is privileged, confidential, or subject to 
copyright belonging to Time Warner Cable. This E-mail is intended solely 
for the use of the individual or entity to which it is addressed. If you 
are not the intended recipient of this E-mail, you are hereby notified 
that any dissemination, distribution, copying, or action taken in relation 
to the contents of and attachments to this E-mail is strictly prohibited 
and may be unlawful. If you have received this E-mail in error, please 
notify the sender immediately and permanently delete the original and any 
copy of this E-mail and any printout.
This e-mail message is intended for the recipient only and contains 
information which is CONFIDENTIAL and which may be proprietary to ECI 
Telecom. If you have received this transmission in error, please inform us 
by e-mail, phone or fax, and then delete the original and all copies 
thereof.
This e-mail message is intended for the recipient only and contains 
information which is CONFIDENTIAL and which may be proprietary to ECI 
Telecom. If you have received this transmission in error, please inform us 
by e-mail, phone or fax, and then delete the original and all copies 
thereof.

---

From: Alexander Vainshtein <[email-masked]>
Date: Thu, 19 Apr 2012 07:22:16 +0000

Wim, Daniel and all,
I think there are quite a few parameters for comparing three (not two!) proposed solutions.
I've already mentioned operational implications associated with changes in the PE status (Root-Only <--> Mix, Leaf-only <--> Mix, Leaf-only <-->Root-only).
Other aspects that should be taken into account are:
- Interoperability with VLAN manipulations (push/swap/pop VLAN tag or even two tags). While this functionality is non-standard, every major vendor I'm aware of offers it as part of their VPLS solution, so I assume there is some real demand for it. 
- Interoperability with PBB. This is one of the major topics at this WG
- Interoperability with H-VPLS
Of course, interoperability with usage of P2MP PWs for effective delivery of BUM traffic is also important, but this aspect has been covered (to some extent) in the previous emails.

There may be other aspects, but it seems that ones I've mentioned are all worth considering.

Regards,
     Sasha

> From: Henderickx, Wim (Wim) [mailto:wim.henderickx@alcatel-
> lucent.com]
> Sent: Thursday, April 19, 2012 9:34 AM
> To: Daniel Cohn; Alexander Vainshtein; Rogers, Josh; Lucy yong; Sam Cao
> Cc: [email-masked]
> Daniel, we should discuss this as this is not absolutely required to tear down
> PW. You can also have an indication in the E-TREE fwd to indicate that the
> endpoint has no leaf and as such avoid sending traffic down but allow the
> PW to be setup. As such we have some flexibility such that operators can
> select the proper approach they would like to have/implement.
>

---

From: "Daniel Cohn" <[email-masked]>
Date: Thu, 19 Apr 2012 12:49:22 +0300

Hi Wim,

That seems to me a non-negligible change to bridge forwarding logic, I
think setting up/tearing down the PE is cleaner. I don't expect that
leaf-only to root/leaf PE transformations will happen all that often.
But I think it's important to clarify that the issue is common to both
drafts.

DC

-----Original Message-----
From: Henderickx, Wim (Wim) [mailto:[email-masked]] 
Sent: Thursday, April 19, 2012 9:34 AM
To: Daniel Cohn; Alexander Vainshtein; Rogers, Josh; Lucy yong; Sam Cao
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Daniel, we should discuss this as this is not absolutely required to
tear down PW. You can also have an indication in the E-TREE fwd to
indicate that the endpoint has no leaf and as such avoid sending traffic
down but allow the PW to be setup. As such we have some flexibility such
that operators can select the proper approach they would like to
have/implement.

-----Original Message-----
From: Daniel Cohn [mailto:[email-masked]]
Sent: donderdag 19 april 2012 8:16
To: Alexander Vainshtein; Henderickx, Wim (Wim); Rogers, Josh; Lucy
yong; Sam Cao
Cc: [email-masked]

Hi Sasha and all,

      {

Regards,

Daniel

-----Original Message-----
From: Alexander Vainshtein [mailto:[email-masked]]
Sent: Thursday, April 19, 2012 8:31 AM
To: Henderickx, Wim (Wim); Rogers, Josh; Lucy yong; Daniel Cohn; Sam Cao
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Wim,

My 2c,
     Sasha

-----Original Message-----

Hi all,

My 2c,
     Sasha

-Josh

processing
unicast
to

---

From: "Henderickx, Wim (Wim)" <[email-masked]>
Date: Thu, 19 Apr 2012 13:29:22 +0200

Daniel, we will need to change something in the Fwd anyway. As such this behavior can be added easily I believe.

-----Original Message-----
From: Daniel Cohn [mailto:[email-masked]]
Sent: donderdag 19 april 2012 11:49
To: Henderickx, Wim (Wim); Alexander Vainshtein; Rogers, Josh; Lucy yong; Sam Cao
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Hi Wim,

DC

-----Original Message-----
From: Daniel Cohn [mailto:[email-masked]]
Sent: donderdag 19 april 2012 8:16
To: Alexander Vainshtein; Henderickx, Wim (Wim); Rogers, Josh; Lucy
yong; Sam Cao
Cc: [email-masked]

Hi Sasha and all,

      {

Regards,

Daniel

-----Original Message-----
From: Alexander Vainshtein [mailto:[email-masked]]
Sent: Thursday, April 19, 2012 8:31 AM
To: Henderickx, Wim (Wim); Rogers, Josh; Lucy yong; Daniel Cohn; Sam Cao
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Wim,

My 2c,
     Sasha

-----Original Message-----

Hi all,

My 2c,
     Sasha

-Josh

processing
unicast
to

---

From: "Sam Cao" <[email-masked]>
Date: Thu, 19 Apr 2012 20:02:21 +0800

Lucy,

Not double frames. Just one copy.

Regards,
 
Yuqun (Sam) Cao
 
-----Original Message-----
From: Lucy yong [mailto:[email-masked]] 
Sent: Thursday, April 19, 2012 2:53 AM
To: Daniel Cohn; Rogers, Josh; Sam Cao
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Send this again.

Lucy

-----Original Message-----
From: Daniel Cohn [mailto:[email-masked]] 
Sent: Wednesday, April 18, 2012 1:42 PM
To: Lucy yong; Rogers, Josh; Sam Cao
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

I think the first option its the natural way to go. How is the processing in
this case more complex?

Snipped..

Multi-PW - On ingress PE, frame is placed onto either a Leaf-only P2MP PW
(for traffic coming from a leaf AC), or onto a Root/Leaf P2MP PW (for
traffic coming from a root AC)
[[LY]] Not that simple. You construct either two P2MP PWs to all other PEs
and let egress PE performing filtering, or construct one P2MP PW to
leaf-only PEs and two P2MP PWs to root and leaf PEs and let ingress PE
perform forwarding and filtering. Both make node process complex.

Regards,
Lucy

Thanks,
Josh

This E-mail and any of its attachments may contain Time Warner Cable
proprietary information, which is privileged, confidential, or subject to
copyright belonging to Time Warner Cable. This E-mail is intended solely for
the use of the individual or entity to which it is addressed. If you are not
the intended recipient of this E-mail, you are hereby notified that any
dissemination, distribution, copying, or action taken in relation to the
contents of and attachments to this E-mail is strictly prohibited and may be
unlawful. If you have received this E-mail in error, please notify the
sender immediately and permanently delete the original and any copy of this
E-mail and any printout.

---

From: "DelRegno, Christopher N \(Nick\)" <[email-masked]>
Date: Thu, 19 Apr 2012 08:40:11 -0400

Dan:

As the transformation of a PE from Root<-->Mix and Mix<-->Leaf will be driven by our customers, we can't say how often this will or won't occur.  It must be accommodated regardless of perceived rarity.

If I use one of our current extremely popular L2VPN services as an example, our customers tend to move their ENNI (e.g. Root) locations constantly, quite frequently to switches which heretofore only contained UNIs (e.g. leaves).

Nick

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Daniel Cohn
Sent: Thursday, April 19, 2012 4:49 AM
To: Henderickx, Wim (Wim); Alexander Vainshtein; Rogers, Josh; Lucy yong; Sam Cao
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Hi Wim,

That seems to me a non-negligible change to bridge forwarding logic, I think setting up/tearing down the PE is cleaner. I don't expect that leaf-only to root/leaf PE transformations will happen all that often.
But I think it's important to clarify that the issue is common to both drafts.

DC

-----Original Message-----
From: Daniel Cohn [mailto:[email-masked]]
Sent: donderdag 19 april 2012 8:16
To: Alexander Vainshtein; Henderickx, Wim (Wim); Rogers, Josh; Lucy yong; Sam Cao
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Hi Sasha and all,

You have exactly the same "problem" in the 2-VLAN approach - quoting from the draft:

6. LDP Extensions for E-Tree Support
<snip>
P is a Leaf-only bit, it is set to 1 to indicate that the PE is attached with only leaves, and set to 0 otherwise.
<snip>
If the P bit is set, then:

      {

So all that you wrote about a leaf-only PE becoming mixed and viceversa applies to both solutions.

Regards,

Daniel

-----Original Message-----
From: Alexander Vainshtein [mailto:[email-masked]]
Sent: Thursday, April 19, 2012 8:31 AM
To: Henderickx, Wim (Wim); Rogers, Josh; Lucy yong; Daniel Cohn; Sam Cao
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Wim,

My 2c,
     Sasha

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Alexander Vainshtein
Sent: donderdag 19 april 2012 6:39
To: Rogers, Josh; Lucy yong; Daniel Cohn; Sam Cao
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Hi all,

My 2c,
     Sasha

Again, the P2MP situation throws me.  Is this something that is used commonly?

I'm under the impression that adding P2MP to any model results in a more complex model.  Wether outside s-tag is used to differentiate, or dedicated pw's are used for the same purpose, it seems both become more complex.

Gile's comparison slide still concisely captures the differences between these methods, in my opinion.  I haven't seen any new ideas or thoughts brought to the group in the past week or two on the subject.  I would hate for both proposed methods to die on the vine because we couldn't decide between two methods that have nothing inherently wrong with either.

-Josh

processing
>traffic coming from a root AC) [[LY]] Not that simple. You construct
>either two P2MP PWs to all other PEs and let egress PE performing
>filtering, or construct one P2MP PW to leaf-only PEs and two P2MP PWs
>to root and leaf PEs and let ingress PE perform forwarding and
>filtering. Both make node process complex.
>
>>P2MP PWs if need. There is no difference between P2MP or normal PW
>>setup.
But,
>>To: Lucy yong; Rogers, Josh; Henderickx, Wim (Wim);
>>[email-masked]; Sam Cao
unicast
to
>original and any copy of this E-mail and any printout.

This E-mail and any of its attachments may contain Time Warner Cable proprietary information, which is privileged, confidential, or subject to copyright belonging to Time Warner Cable. This E-mail is intended solely for the use of the individual or entity to which it is addressed.
If you are not the intended recipient of this E-mail, you are hereby notified that any dissemination, distribution, copying, or action taken in relation to the contents of and attachments to this E-mail is strictly prohibited and may be unlawful. If you have received this E-mail in error, please notify the sender immediately and permanently delete the original and any copy of this E-mail and any printout.
This e-mail message is intended for the recipient only and contains information which is CONFIDENTIAL and which may be proprietary to ECI Telecom. If you have received this transmission in error, please inform us by e-mail, phone or fax, and then delete the original and all copies thereof.
This e-mail message is intended for the recipient only and contains information which is CONFIDENTIAL and which may be proprietary to ECI Telecom. If you have received this transmission in error, please inform us by e-mail, phone or fax, and then delete the original and all copies thereof.

---

From: "Sam Cao" <[email-masked]>
Date: Thu, 19 Apr 2012 20:50:19 +0800

Sasha,

We have discussed this case before. While configuration is changed in fly,
it is reasonable to establish or teardown PW. 

Regards,
 
Yuqun (Sam) Cao

-----Original Message-----
From: Alexander Vainshtein [mailto:[email-masked]] 
Sent: Thursday, April 19, 2012 1:31 PM
To: Henderickx, Wim (Wim); Rogers, Josh; Lucy yong; Daniel Cohn; Sam Cao
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Wim,

At the same time it seems that the double PW approach carries with it too
many operational problems.
E.g., no PWs are set up between Leaf-only PEs, but once one of these becomes
a Mix PE, all the Leaf-only PEs must now recognize it as a valid peer. And
if a Mix PE reverts to a Leaf only one, all its Leaf-only peers must drop it
and shut down the relevant PWs...

My 2c,
     Sasha

-----Original Message-----

Hi all,

IMO one of the advantages of the CW-based solution is that it is orthogonal
to usage (or non-usage) of P2MP PWs for effective delivery of BUN traffic.

Another advantage is preservation of full mesh of P2P PWs in a VPLS, and, in
a more generic way, localization of effects of changes in the PE
configuration.

In particular, adding a Leaf AC to a PE that previously has been only
supporting Root ACs (or vice versa), removal of the last Leaf or last Root
AC from a PE that previously has been supporting a mix etc. affect only the
PE where this operation happens and not the rest of the PEs.

My 2c,
     Sasha

-Josh

On 4/18/12 1:53 PM, "Lucy yong" <[email-masked]> wrote:

>>[email-masked];

---

From: "Daniel Cohn" <[email-masked]>
Date: Thu, 19 Apr 2012 15:53:12 +0300

Nick,

Thanks for the feedback. Now, do you see a problem setting up/tearing
down a PW when this happens?

Daniel

-----Original Message-----
From: DelRegno, Christopher N (Nick) [mailto:[email-masked]] 
Sent: Thursday, April 19, 2012 3:40 PM
To: Daniel Cohn; Henderickx, Wim (Wim); Alexander Vainshtein; Rogers,
Josh; Lucy yong; Sam Cao
Cc: [email-masked]

Dan:

As the transformation of a PE from Root<-->Mix and Mix<-->Leaf will be
driven by our customers, we can't say how often this will or won't
occur.  It must be accommodated regardless of perceived rarity.

If I use one of our current extremely popular L2VPN services as an
example, our customers tend to move their ENNI (e.g. Root) locations
constantly, quite frequently to switches which heretofore only contained
UNIs (e.g. leaves).

Nick

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf
Of Daniel Cohn
Sent: Thursday, April 19, 2012 4:49 AM
To: Henderickx, Wim (Wim); Alexander Vainshtein; Rogers, Josh; Lucy
yong; Sam Cao
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Hi Wim,

DC

-----Original Message-----
From: Daniel Cohn [mailto:[email-masked]]
Sent: donderdag 19 april 2012 8:16
To: Alexander Vainshtein; Henderickx, Wim (Wim); Rogers, Josh; Lucy
yong; Sam Cao
Cc: [email-masked]

Hi Sasha and all,

      {

Regards,

Daniel

-----Original Message-----
From: Alexander Vainshtein [mailto:[email-masked]]
Sent: Thursday, April 19, 2012 8:31 AM
To: Henderickx, Wim (Wim); Rogers, Josh; Lucy yong; Daniel Cohn; Sam Cao
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Wim,

My 2c,
     Sasha

-----Original Message-----

Hi all,

My 2c,
     Sasha

Gile's comparison slide still concisely captures the differences between
these methods, in my opinion.  I haven't seen any new ideas or thoughts
brought to the group in the past week or two on the subject.  I would
hate for both proposed methods to die on the vine because we couldn't
decide between two methods that have nothing inherently wrong with
either.

-Josh

processing
But,
unicast
to

---

From: Alexander Vainshtein <[email-masked]>
Date: Thu, 19 Apr 2012 13:19:20 +0000

Sam (hope this is the appropriate form of address and my apologies if not),

I am actually trying to build a list of operational (not implementation-driven) issues that must be addressed by a reasonable E-tree solution.
Then we could compare multiple approaches.

As for setting up/tearing PWs with multiple peers just because your local configuration has changed, I am not sure this is reasonable from the operational point of view.

E.g., consider the case of a Leaf-only PE migrating to a Mixed PE.
To the best of my understanding, PWs between Leaf-only PWs are not ever set, so our original Leaf PE could be unaware about existence of other Leaf-only PEs (or, even worse, its list of Leaf-only peers could be not matching the current situation) - and this would not affect traffic in any way.
Once it suddenly becomes a Mix PE, it must set up PWs with all the Leaf-only PEs have been ignored before, and they must agree to this...

IMHO and FWIW, unless you use a very elaborate auto-discovery mechanism, this process has all the potential to become an operational nightmare.

My 2c,
     Sasha

> Sent: Thursday, April 19, 2012 3:50 PM
> To: Alexander Vainshtein; 'Henderickx, Wim (Wim)'; 'Rogers, Josh'; 'Lucy
> yong'; 'Daniel Cohn'
> Cc: [email-masked]
> becomes
> Of

---

From: "Henderickx, Wim (Wim)" <[email-masked]>
Date: Thu, 19 Apr 2012 15:51:00 +0200

Nick, thx for sharing this information. Would you have a problem if the PW would come up/tiered down are would you prefer the PW to remain intact if such change happens?

-----Original Message-----
From: DelRegno, Christopher N (Nick) [mailto:[email-masked]]
Sent: donderdag 19 april 2012 14:40
To: Daniel Cohn; Henderickx, Wim (Wim); Alexander Vainshtein; Rogers, Josh; Lucy yong; Sam Cao
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Dan:

Nick

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Daniel Cohn
Sent: Thursday, April 19, 2012 4:49 AM
To: Henderickx, Wim (Wim); Alexander Vainshtein; Rogers, Josh; Lucy yong; Sam Cao
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Hi Wim,

DC

-----Original Message-----
From: Daniel Cohn [mailto:[email-masked]]
Sent: donderdag 19 april 2012 8:16
To: Alexander Vainshtein; Henderickx, Wim (Wim); Rogers, Josh; Lucy yong; Sam Cao
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Hi Sasha and all,

      {

Regards,

Daniel

-----Original Message-----
From: Alexander Vainshtein [mailto:[email-masked]]
Sent: Thursday, April 19, 2012 8:31 AM
To: Henderickx, Wim (Wim); Rogers, Josh; Lucy yong; Daniel Cohn; Sam Cao
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Wim,

My 2c,
     Sasha

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Alexander Vainshtein
Sent: donderdag 19 april 2012 6:39
To: Rogers, Josh; Lucy yong; Daniel Cohn; Sam Cao
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Hi all,

My 2c,
     Sasha

-Josh

processing
But,
unicast
to

---

From: "DelRegno, Christopher N \(Nick\)" <[email-masked]>
Date: Thu, 19 Apr 2012 12:37:50 -0400

No, I don't see a problem with setting up/tearing down a PW when there is a move of the root to leaf nodes or vice versa, assuming the move is based on a provisioning action (e.g. an customer order), not some dynamic bouncing between switches.

Nick

-----Original Message-----
From: Daniel Cohn [mailto:[email-masked]]
Sent: Thursday, April 19, 2012 7:53 AM
To: DelRegno, Christopher N (Nick); Henderickx, Wim (Wim); Alexander Vainshtein; Rogers, Josh; Lucy yong; Sam Cao
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Nick,

Thanks for the feedback. Now, do you see a problem setting up/tearing down a PW when this happens?

Daniel

-----Original Message-----
From: DelRegno, Christopher N (Nick) [mailto:[email-masked]]
Sent: Thursday, April 19, 2012 3:40 PM
To: Daniel Cohn; Henderickx, Wim (Wim); Alexander Vainshtein; Rogers, Josh; Lucy yong; Sam Cao
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Dan:

Nick

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Daniel Cohn
Sent: Thursday, April 19, 2012 4:49 AM
To: Henderickx, Wim (Wim); Alexander Vainshtein; Rogers, Josh; Lucy yong; Sam Cao
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Hi Wim,

DC

-----Original Message-----
From: Daniel Cohn [mailto:[email-masked]]
Sent: donderdag 19 april 2012 8:16
To: Alexander Vainshtein; Henderickx, Wim (Wim); Rogers, Josh; Lucy yong; Sam Cao
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Hi Sasha and all,

      {

Regards,

Daniel

-----Original Message-----
From: Alexander Vainshtein [mailto:[email-masked]]
Sent: Thursday, April 19, 2012 8:31 AM
To: Henderickx, Wim (Wim); Rogers, Josh; Lucy yong; Daniel Cohn; Sam Cao
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Wim,

My 2c,
     Sasha

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Alexander Vainshtein
Sent: donderdag 19 april 2012 6:39
To: Rogers, Josh; Lucy yong; Daniel Cohn; Sam Cao
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Hi all,

My 2c,
     Sasha

-Josh

processing
But,
unicast
to

---

From: "DelRegno, Christopher N \(Nick\)" <[email-masked]>
Date: Thu, 19 Apr 2012 12:45:42 -0400

Wim:

My use case assumes that the change was precipitated by a customer order and subsequent provisioning change.  For example, the customer wishes to enable LEAF attachments out of a CO where previously they only had the ROOT, or vice versa.  Given that assumption, the original PW should be torn down.

Ideally, I would like a mechanism to automatically signal this along the lines of BGP-AD, so that my provisioning systems only have to worry about where the customer attaches, what kind of attachment (root/leaf) and to which instance.

Nick

-----Original Message-----
From: DelRegno, Christopher N (Nick) [mailto:[email-masked]]
Sent: donderdag 19 april 2012 14:40
To: Daniel Cohn; Henderickx, Wim (Wim); Alexander Vainshtein; Rogers, Josh; Lucy yong; Sam Cao
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Dan:

Nick

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Daniel Cohn
Sent: Thursday, April 19, 2012 4:49 AM
To: Henderickx, Wim (Wim); Alexander Vainshtein; Rogers, Josh; Lucy yong; Sam Cao
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Hi Wim,

DC

-----Original Message-----
From: Daniel Cohn [mailto:[email-masked]]
Sent: donderdag 19 april 2012 8:16
To: Alexander Vainshtein; Henderickx, Wim (Wim); Rogers, Josh; Lucy yong; Sam Cao
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Hi Sasha and all,

      {

Regards,

Daniel

-----Original Message-----
From: Alexander Vainshtein [mailto:[email-masked]]
Sent: Thursday, April 19, 2012 8:31 AM
To: Henderickx, Wim (Wim); Rogers, Josh; Lucy yong; Daniel Cohn; Sam Cao
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Wim,

My 2c,
     Sasha

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Alexander Vainshtein
Sent: donderdag 19 april 2012 6:39
To: Rogers, Josh; Lucy yong; Daniel Cohn; Sam Cao
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Hi all,

My 2c,
     Sasha

-Josh

processing
But,
unicast
to

---

From: Alexander Vainshtein <[email-masked]>
Date: Thu, 19 Apr 2012 16:46:30 +0000

Nick,
I am probably repeating myself, but please consider the case when a Leaf-only PE migrates to a Mix one.

Prior to migration all the other Leaf PEs in this VPN did not need any PWs to the migrating one so there is a good chance they did not even know of its existence. After migration you need PWs between the migrated PE and all these Leaf PEs. This means that the configuration action is not local to a migrating PE. (PW teardown is easier, since it is enough for one side to initiate it, but with setup you need two to tango:-).

My 2c,
     Sasha

> Sent: Thursday, April 19, 2012 7:38 PM
> No, I don't see a problem with setting up/tearing down a PW when there is
> a move of the root to leaf nodes or vice versa, assuming the move is based
> on a provisioning action (e.g. an customer order), not some dynamic
> bouncing between switches.
> 
> Nick
> 
> To: DelRegno, Christopher N (Nick); Henderickx, Wim (Wim); Alexander
> Vainshtein; Rogers, Josh; Lucy yong; Sam Cao
> Cc: [email-masked]
> driven by our customers, we can't say how often this will or won't occur.  It
> must be accommodated regardless of perceived rarity.
> 
> If I use one of our current extremely popular L2VPN services as an example,
> our customers tend to move their ENNI (e.g. Root) locations constantly,
> quite frequently to switches which heretofore only contained UNIs (e.g.
> leaves).
> 
> Nick
> 
> That seems to me a non-negligible change to bridge forwarding logic, I think
> setting up/tearing down the PE is cleaner. I don't expect that leaf-only to
> root/leaf PE transformations will happen all that often.
> peer. And if a Mix PE reverts to a Leaf only one, all its Leaf-only peers must
> drop it and shut down the relevant PWs...
> 
> My 2c,
>      Sasha
> 
> supporting Root ACs (or vice versa), removal of the last Leaf or last Root AC
> from a PE that previously has been supporting a mix etc. affect only the PE
> where this operation happens and not the rest of the PEs.
> 
> complex model.  Wether outside s-tag is used to differentiate, or dedicated
> pw's are used for the same purpose, it seems both become more complex.
> 
> the use of the individual or entity to which it is addressed.
> If you are not the intended recipient of this E-mail, you are hereby notified
> that any dissemination, distribution, copying, or action taken in relation to
> the contents of and attachments to this E-mail is strictly prohibited and may
> be unlawful. If you have received this E-mail in error, please notify the
> sender immediately and permanently delete the original and any copy of
> this E-mail and any printout.
> Telecom. If you have received this transmission in error, please inform us by
> e-mail, phone or fax, and then delete the original and all copies thereof.
> Telecom. If you have received this transmission in error, please inform us by
> e-mail, phone or fax, and then delete the original and all copies thereof.

---

From: "Rogers, Josh" <[email-masked]>
Date: Thu, 19 Apr 2012 14:18:22 -0400

Sasha,

are you considering a vantage of using BGP-AD, or no?  BGP-AD isn't what
I'd call 'an elaborate' auto discovery.  If BGP signaling is enlisted,
then all PE's are aware of the existence of all other PE's (regardless of
type), even if they don't setup PW to them.

So, for your example, current Leaf PE moves to mixed PE.  As soon as it
does, it updates signaling (presumably via a defined route-target), all
other PE's now know this is a Mixed PE, and set up PW's to it, just the
same as they would if a new PE was added to the instance.

If no signaling is involved, these sorts of changes could be laborious,
but no more than any PE add/remove from an instance.

Thanks,
-Josh

On 4/19/12 12:46 PM, "Alexander Vainshtein"
<[email-masked]> wrote:

>Prior to migration all the other Leaf PEs in this VPN did not need any
>PWs to the migrating one so there is a good chance they did not even know
>of its existence. After migration you need PWs between the migrated PE
>and all these Leaf PEs. This means that the configuration action is not
>local to a migrating PE. (PW teardown is easier, since it is enough for
>one side to initiate it, but with setup you need two to tango:-).
>
>My 2c,
>     Sasha
>
>
>>occur.  It
>>example,
>>yong;
>> Sam Cao
>>think
>>tear down
>>yong;
>> Sam Cao
>> P is a Leaf-only bit, it is set to 1 to indicate that the PE is
>>attached with only
>> leaves, and set to 0 otherwise.
>> <snip>
>>peers must
>>orthogonal
>>and, in
>>Root AC
>>dedicated
>>notified
>>relation to
>>us by
>>us by

---

From: Alexander Vainshtein <[email-masked]>
Date: Thu, 19 Apr 2012 18:30:38 +0000

Josh,

Yes, of course I consider BGP-AD and fully agree that with BGP-AD (extended to distribute PE state - AFAIK, it is not part of the regular VPLS-related NRLI) the situation becomes manageable.

The question is, can the dual-PW solution manageable without BGP-AD?

Regards,
     Sasha 

________________________________________
From: Rogers, Josh [[email-masked]]
Sent: Thursday, April 19, 2012 8:18 PM
To: Alexander Vainshtein; DelRegno, Christopher N (Nick)
Cc: [email-masked]; Daniel Cohn; Henderickx, Wim (Wim); Lucy yong; Sam Cao
Subject: Re: The status of the approaches to the E-Tree solution?

Sasha,

Thanks,
-Josh

---

From: "Rogers, Josh" <[email-masked]>
Date: Thu, 19 Apr 2012 14:33:03 -0400

It is a good question, and frankly, I wouldn't want to manage a network
with this solution w/out BGP-AD.   (personally, I don't want to manage ANY
VPLS w/out BGP-AD though.  ;)  )

On 4/19/12 2:30 PM, "Alexander Vainshtein"
<[email-masked]> wrote:

>Yes, of course I consider BGP-AD and fully agree that with BGP-AD
>(extended to distribute PE state - AFAIK, it is not part of the regular
>VPLS-related NRLI) the situation becomes manageable.
>

---

From: "Sam Cao" <[email-masked]>
Date: Fri, 20 Apr 2012 09:44:46 +0800

Ran,

I have listed this case before, and it is reasonable. 

We may teardown PW if VSI attributes change, such as Control Word, MTU Nego,
and etc. Current solutions also do like this. I gave one example, if all ACs
are down, we SHOULD teardown PWs. If Leaf-only is changed to Mixed,
obviously its attribute changes. We may teardown PW and re-setup.

IMO, this seems reasonable behavior.

Sam

  _____  

From: Ran Chen [mailto:[email-masked]] 
Sent: Thursday, April 19, 2012 3:21 PM
To: Alexander Vainshtein
Cc: Daniel Cohn; Rogers, Josh; [email-masked]; [email-masked]; Lucy
yong; Henderickx, Wim (Wim); Sam Cao
Subject: 答复: RE: The status of the approaches to the E-Tree solution?

Hi Sasha, 
Plese see inline, thanks 

2012/04/19 13:31 

收件人

抄送

主题

 

Wim,

I think that operational aspects of the VLAN approach (e.g., how is the
Global VID selected and distributed) should be examined in more detail.
[Ran] Agree, and there have already been such draft that describe "how is
the Gloabal VID selected and distributed" in L2VPN WG, the link
is:http://tools.ietf.org/html/draft-chen-l2vpn-vpls-etree-vlan-01. 

My 2c,
    Sasha

-----Original Message-----

Hi all,

My 2c,
    Sasha

-Josh

---

From: "Sam Cao" <[email-masked]>
Date: Fri, 20 Apr 2012 09:49:38 +0800

Hi, Nick,

Agreed. If mixed-PE may join E-Tree, Multi-PW or Dual-VLAN is valuable
approach for carriers.

Sam

-----Original Message-----
From: DelRegno, Christopher N (Nick) [mailto:[email-masked]] 
Sent: Thursday, April 19, 2012 8:40 PM
To: Daniel Cohn; Henderickx, Wim (Wim); Alexander Vainshtein; Rogers, Josh;
Lucy yong; Sam Cao
Cc: [email-masked]

Dan:

As the transformation of a PE from Root<-->Mix and Mix<-->Leaf will be
driven by our customers, we can't say how often this will or won't occur.
It must be accommodated regardless of perceived rarity.

Nick

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Daniel Cohn
Sent: Thursday, April 19, 2012 4:49 AM
To: Henderickx, Wim (Wim); Alexander Vainshtein; Rogers, Josh; Lucy yong;
Sam Cao
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Hi Wim,

DC

-----Original Message-----
From: Henderickx, Wim (Wim) [mailto:[email-masked]]
Sent: Thursday, April 19, 2012 9:34 AM
To: Daniel Cohn; Alexander Vainshtein; Rogers, Josh; Lucy yong; Sam Cao
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Daniel, we should discuss this as this is not absolutely required to tear
down PW. You can also have an indication in the E-TREE fwd to indicate that
the endpoint has no leaf and as such avoid sending traffic down but allow
the PW to be setup. As such we have some flexibility such that operators can
select the proper approach they would like to have/implement.

-----Original Message-----
From: Daniel Cohn [mailto:[email-masked]]
Sent: donderdag 19 april 2012 8:16
To: Alexander Vainshtein; Henderickx, Wim (Wim); Rogers, Josh; Lucy yong;
Sam Cao
Cc: [email-masked]

Hi Sasha and all,

You have exactly the same "problem" in the 2-VLAN approach - quoting from
the draft:

      {

Regards,

Daniel

-----Original Message-----
From: Alexander Vainshtein [mailto:[email-masked]]
Sent: Thursday, April 19, 2012 8:31 AM
To: Henderickx, Wim (Wim); Rogers, Josh; Lucy yong; Daniel Cohn; Sam Cao
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Wim,

My 2c,
     Sasha

-----Original Message-----

Hi all,

My 2c,
     Sasha

-Josh

processing
But,
unicast
to

This E-mail and any of its attachments may contain Time Warner Cable
proprietary information, which is privileged, confidential, or subject to
copyright belonging to Time Warner Cable. This E-mail is intended solely for
the use of the individual or entity to which it is addressed.
If you are not the intended recipient of this E-mail, you are hereby
notified that any dissemination, distribution, copying, or action taken in
relation to the contents of and attachments to this E-mail is strictly
prohibited and may be unlawful. If you have received this E-mail in error,
please notify the sender immediately and permanently delete the original and
any copy of this E-mail and any printout.
This e-mail message is intended for the recipient only and contains
information which is CONFIDENTIAL and which may be proprietary to ECI
Telecom. If you have received this transmission in error, please inform us
by e-mail, phone or fax, and then delete the original and all copies
thereof.
This e-mail message is intended for the recipient only and contains
information which is CONFIDENTIAL and which may be proprietary to ECI
Telecom. If you have received this transmission in error, please inform us
by e-mail, phone or fax, and then delete the original and all copies
thereof.

---

From: "Sam Cao" <[email-masked]>
Date: Sat, 21 Apr 2012 21:41:49 +0800

Sasha,

Thank you for your comments. 

Multi-PW can support BGP-AD, RFC 4761 or RFC 6074. BTW, can we work together
on issues list? I will list some cases we discussed before.

Regards,
 
Yuqun (Sam) Cao
 
-----Original Message-----
From: Alexander Vainshtein [mailto:[email-masked]] 
Sent: Thursday, April 19, 2012 9:19 PM
To: Sam Cao
Cc: [email-masked]; 'Daniel Cohn'; 'Henderickx, Wim (Wim)'; 'Rogers, Josh';
'Lucy yong'

I am actually trying to build a list of operational (not
implementation-driven) issues that must be addressed by a reasonable E-tree
solution.
Then we could compare multiple approaches.

As for setting up/tearing PWs with multiple peers just because your local
configuration has changed, I am not sure this is reasonable from the
operational point of view.

E.g., consider the case of a Leaf-only PE migrating to a Mixed PE.
To the best of my understanding, PWs between Leaf-only PWs are not ever set,
so our original Leaf PE could be unaware about existence of other Leaf-only
PEs (or, even worse, its list of Leaf-only peers could be not matching the
current situation) - and this would not affect traffic in any way.
Once it suddenly becomes a Mix PE, it must set up PWs with all the Leaf-only
PEs have been ignored before, and they must agree to this...

IMHO and FWIW, unless you use a very elaborate auto-discovery mechanism,
this process has all the potential to become an operational nightmare.

My 2c,
     Sasha

orthogonal
> Another advantage is preservation of full mesh of P2P PWs in a VPLS, and,
in
> AC from a PE that previously has been supporting a mix etc. affect only
the
> copyright belonging to Time Warner Cable. This E-mail is intended solely
for

---

From: Alexander Vainshtein <[email-masked]>
Date: Sun, 22 Apr 2012 07:26:31 +0000

Sam,

I will try to provide additional  input for the issues list directly to you.
I think that providing a mutually agreed upon list of issues would be an important step forward: we may not be able to answer some questions we ask, but the chance that the questions that have not be asked would somehow be answered is IMHO negligible:-).

As for using BGP-AD with the dual-PW approach, there are three points IMO:

1. I do not understand how 4761 (that does not use PWs in the strict sense of the term) is applicable to the dual PW solution. Could you please elaborate? Can MP-BGP distribute two labels simultaneously?
2. The solution based on 6074 can work with the dual-PW mechanism, but it requires some extension (the PE type must be communicated)
3. In the past, at the early stages of VPLS standardization, the rationale for accepting two standard solutions for VPLS (4761 and 4762) has been the need to support VPLS over BGP-free domains. This is why I would prefer an E-Tree solution that would not strongly depend on BGP-AD to take care of changes that are local to a single PE. (You may call that a personal bias:-).

Regards,
     Sasha

> Sent: Saturday, April 21, 2012 4:42 PM
> To: Alexander Vainshtein
> > >>improving Dual-PW approach. If consider P2MP, Dual-PW approach
> setup
> > 2
> > >>P2MP

---

From: "Daniel Cohn" <[email-masked]>
Date: Sun, 22 Apr 2012 11:36:16 +0300

Hi Sasha,

You can find answers to your questions #1 and #2 in the draft itself
(http://tools.ietf.org/html/draft-ram-l2vpn-etree-multiple-pw-01) -
sections 7 and 8 specify extensions to BGP to support RFC 4761/6074
VPLS.

Regards,

Daniel

-----Original Message-----
From: Alexander Vainshtein [mailto:[email-masked]] 
Sent: Sunday, April 22, 2012 10:27 AM
To: Sam Cao
Cc: [email-masked]; Daniel Cohn; 'Henderickx, Wim (Wim)'; 'Rogers,
Josh'; 'Lucy yong'

Sam,

I will try to provide additional  input for the issues list directly to
you.
I think that providing a mutually agreed upon list of issues would be an
important step forward: we may not be able to answer some questions we
ask, but the chance that the questions that have not be asked would
somehow be answered is IMHO negligible:-).

As for using BGP-AD with the dual-PW approach, there are three points
IMO:

1. I do not understand how 4761 (that does not use PWs in the strict
sense of the term) is applicable to the dual PW solution. Could you
please elaborate? Can MP-BGP distribute two labels simultaneously?
2. The solution based on 6074 can work with the dual-PW mechanism, but
it requires some extension (the PE type must be communicated) 3. In the
past, at the early stages of VPLS standardization, the rationale for
accepting two standard solutions for VPLS (4761 and 4762) has been the
need to support VPLS over BGP-free domains. This is why I would prefer
an E-Tree solution that would not strongly depend on BGP-AD to take care
of changes that are local to a single PE. (You may call that a personal
bias:-).

Regards,
     Sasha

> Cc: [email-masked]; 'Daniel Cohn'; 'Henderickx, Wim (Wim)'; 'Rogers, 
> Josh'; 'Lucy yong'
> Multi-PW can support BGP-AD, RFC 4761 or RFC 6074. BTW, can we work 
> together on issues list? I will list some cases we discussed before.
> 
> Regards,
> 
> Yuqun (Sam) Cao
> Cc: [email-masked]; 'Daniel Cohn'; 'Henderickx, Wim (Wim)'; 'Rogers, 
> Josh'; 'Lucy yong'
> implementation-driven) issues that must be addressed by a reasonable 
> E- tree solution.
> As for setting up/tearing PWs with multiple peers just because your 
> local configuration has changed, I am not sure this is reasonable from

> the operational point of view.
> 
> To the best of my understanding, PWs between Leaf-only PWs are not 
> ever set, so our original Leaf PE could be unaware about existence of 
> other Leaf-only PEs (or, even worse, its list of Leaf-only peers could

> be not matching the current situation) - and this would not affect 
> traffic in any way.
> Once it suddenly becomes a Mix PE, it must set up PWs with all the 
> Leaf- only PEs have been ignored before, and they must agree to 
> this...
> 
> IMHO and FWIW, unless you use a very elaborate auto-discovery 
> mechanism, this process has all the potential to become an operational

> nightmare.
> > To: Alexander Vainshtein; 'Henderickx, Wim (Wim)'; 'Rogers, Josh'; 
> > 'Lucy yong'; 'Daniel Cohn'
> > Cc: [email-masked]
> > We have discussed this case before. While configuration is changed 
> > in fly, it is reasonable to establish or teardown PW.
> >
> > Regards,
> >
> > Yuqun (Sam) Cao
> > I think that operational aspects of the VLAN approach (e.g., how is 
> > the Global VID selected and distributed) should be examined in more
detail.

> > becomes a Mix PE, all the Leaf-only PEs must now recognize it as a 
> > valid peer. And if a Mix PE reverts to a Leaf only one, all its 
> > Leaf-only peers must drop
> it
> > Sasha, the VLAN approach allows for a similar operation as the CW 
> > does. It is orthogonal to the underlying PW deployment of VPLS.
> >

> > and,
> > In particular, adding a Leaf AC to a PE that previously has been 
> > only supporting Root ACs (or vice versa), removal of the last Leaf 
> > or last Root AC from a PE that previously has been supporting a mix 
> > etc. affect only
> the
> > disadvantage of the CW-based approach - I believe it strongly 
> > depends on specific implementations. And some changes in the 
> > forwarding process
> are

> > commonly?
> >
> > I'm under the impression that adding P2MP to any model results in a 
> > more complex model.  Wether outside s-tag is used to differentiate, 
> > or dedicated pw's are used for the same purpose, it seems both 
> > become
> more
> > complex.
> >
> > Gile's comparison slide still concisely captures the differences 
> > between these methods, in my opinion.  I haven't seen any new ideas 
> > or thoughts brought to the group in the past week or two on the 
> > subject.  I would hate for both proposed methods to die on the vine 
> > because we couldn't decide between two methods that have nothing
inherently wrong with either.
> > >Two PW approach can be complex too if the VPLS instance for E-Tree 
> > >uses P2P PW for unicast traffic and P2MP PW for broadcast and 
> > >unknown unicast traffic, and some P2MP PWs for multicast traffic. 
> > >It may double all of them.
> > >
> > >Lucy
> > >
> > >processing in this case more complex?
> > >
> > >Multi-PW - On ingress PE, frame is placed onto either a Leaf-only 
> > >P2MP
> PW
> > >(for traffic coming from a leaf AC), or onto a Root/Leaf P2MP PW 
> > >(for traffic coming from a root AC) [[LY]] Not that simple. You 
> > >construct either two P2MP PWs to all other PEs and let egress PE 
> > >performing filtering, or construct one P2MP PW to leaf-only PEs and

> > >two P2MP PWs to root and leaf PEs and let ingress PE perform 
> > >forwarding and filtering. Both make node process complex.
> > >
> > >[[LY]] VPLS is built with the mechanism utilizing P2P and P2MP PW 
> > >for delivering the frames to remote PEs. We should utilize them 
> > >with the minimized changes. Dual VLAN solution is simpler than Dual
PW.

> > >haven't had any first hand experience with P2MP PW's, however, so 
> > >don't feel terribly strong about this objection.  Is this a real 
> > >problem for others (now or in the future), or is this objection in
the weeds?
> > >
> > >I'm not sure the 'additional complexity' is notable, or even 
> > >relevant.  I encourage others to speak up if they disagree, as P2MP

> > >PW is only conceptual to me, and I am unfamiliar with real-life use
cases for it.
> > >>To: 'Daniel Cohn'; Lucy yong; 'Rogers, Josh'; 'Henderickx, Wim 
> > >>(Wim)'; [email-masked]; [email-masked]; 
> > >>PWs if need. There is no difference between P2MP or normal PW
setup.
> > >>[[LY]] No, it makes complex in setting up P2MP PW. Should a PE 
> > >>with
> both

> > >>slide, 2 pws are only needed between pes with both root and leaf 
> > >>acs, which will typically be a small minority.
> > >>[[LY]] Don't know if the assumption is true. Even it is the case, 
> > >>both approaches can benefit from it. I was off for a while and 
> > >>captures some discussions now.
> > >>
> > >>Also as per giles slide, dual vlan can have scalability issues due

> > >>to additional lookup and double use of vlans in internal emulated 
> > >>lan interface. Also there are potential backward compatibility 
> > >>issues with silicon that doesn't support vlan mapping.
> > >>[[LY]] I was not in IETF83 meeting and wait on the meeting 
> > >>minutes. I am not clear on all the issues. Could you be more 
> > >>specific? As I mentioned in below, two PW approach makes VPLS 
> > >>transport construction and
> packet
> > >>forwarding more complex, I can see potential backward 
> > >>compatibility issues with 2 PW solution.
> > >>
> > >>Regards,
> > >>Lucy
> > >>
> > >>Regards,
> > >>
> > >>Daniel
> > >>
> > >>traffic, and some P2MP PWs for multicast traffic. It may double 
> > >>all of them.
> > >>
> > >>E-tree is an Ethernet service and there is already VLAN based 
> > >>solution in IEEE, can we just utilize it without complicating VPLS

> > >>transport construction? This also makes interworking with Eth only

> > >>network
> easier.
> > >>I believe the initial question was in regard to the CW method.  
> > >>Are you saying that you no longer are interested in that method in

> > >>preference of the dual vlan method?
> > >>
> > >>
> > >>
> > >>The vlan approach is superior as it also works for eth only 
> > >>networks, etc. On top some vendors indicate hw issues with the cw 
> > >>approach. As such we have dropped more or less the cw approach.
> > >>
> > >>Cheers,
> > >>Wim
> > >>_________________
> > >>sent from blackberry
> > >>
> > >>Sorry - the "anonymous presentation" was mine.  I should possibly 
> > >>have put in a third column on the CW approach.  And hopefully the 
> > >>minutes will be posted soon.
> > >>
> > >>We had various discussions, as Simon stated, and consensus seemed 
> > >>to
> > be
> > >>three of the authors of the CW approach are also authors of the 
> > >>two
> VLAN
> > >>approach and one is also an author of the two PWE approach. So 
> > >>perhaps it's best to let those four individuals say which approach

> > >>they prefer and why?
> > >>> You are right, no discussion on the WG mailing list recently, 
> > >>> but there have been substantial discussions among the authors of

> > >>> various solution drafts off the mailing list. As far as I know, 
> > >>> no consensus yet before ietf83, not sure the progress in the 
> > >>> Paris WG meeting. I think the CW approach has not been rejected 
> > >>> by the WG yet, or the
> WG
> > >>>> This presentation discusses the differences of the E-Tree 
> > >>>> approaches based on dedicated VLANs (as in
> > >>>> and completely ignores the solution based on usage of the CW in

> > >>>> the PWs connecting the PEs (as in
> > >>>> The Minutes of the Paris L2VPN session are not yet available, 
> > >>>> but I wonder whether the WG has taken a decision to reject the 
> > >>>> approach based on the CW usage? I do not remember any recent 
> > >>>> discussion of this topic on the WG mailing list.
> > >>>>
> > >>>>
> > >>>>
> > >>>> This e-mail message is intended for the recipient only and 
> > >>>> contains information which is CONFIDENTIAL and which may be 
> > >>>> proprietary to
> > ECI
> > >>
> > >>>> Telecom. If you have received this transmission in error, 
> > >>>> please inform us by e-mail, phone or fax, and then delete the 
> > >>>> original and all copies thereof.
> > >>>>
> > >>
> > >>
> > >>
> > >>
> > >>
> > >>This E-mail and any of its attachments may contain Time Warner 
> > >>Cable proprietary information, which is privileged, confidential, 
> > >>or subject to copyright belonging to Time Warner Cable. This 
> > >>E-mail is intended solely for the use of the individual or entity
to which it is addressed.
> > >>If you are not the intended recipient of this E-mail, you are 
> > >>hereby notified that any dissemination, distribution, copying, or 
> > >>action taken in relation to the contents of and attachments to 
> > >>this E-mail is strictly prohibited and may be unlawful. If you 
> > >>have received this E-mail in error, please notify the sender 
> > >>immediately and permanently delete the original and any copy of
> > >>
> > >
> > >
> > >This E-mail and any of its attachments may contain Time Warner 
> > >Cable proprietary information, which is privileged, confidential, 
> > >or subject to copyright belonging to Time Warner Cable. This E-mail

> > >is intended solely for the use of the individual or entity to which

> > >it is addressed. If you are not the intended recipient of this 
> > >E-mail, you are hereby notified that any dissemination, 
> > >distribution, copying, or action taken in relation to the contents 
> > >of and attachments to this E-mail is strictly prohibited and may be

> > >unlawful. If you have received this E-mail in error, please notify 
> > >the sender immediately and permanently delete the original and any

> > proprietary information, which is privileged, confidential, or 
> > subject to copyright belonging to Time Warner Cable. This E-mail is 
> > intended solely
> for
> > the use of the individual or entity to which it is addressed. If you

> > are
> not
> > the intended recipient of this E-mail, you are hereby notified that 
> > any dissemination, distribution, copying, or action taken in 
> > relation to the contents of and attachments to this E-mail is 
> > strictly prohibited and may
> be
> > unlawful. If you have received this E-mail in error, please notify 
> > the sender immediately and permanently delete the original and any 
> > information which is CONFIDENTIAL and which may be proprietary to 
> > ECI Telecom. If you have received this transmission in error, please

> > information which is CONFIDENTIAL and which may be proprietary to 
> > ECI Telecom. If you have received this transmission in error, please

---

From: "Sam Cao" <[email-masked]>
Date: Sun, 22 Apr 2012 20:22:19 +0800

Hi Sasha,

Thank you very much for your comments. I gave my answers to your questions
below. 

[Sasha] 1. I do not understand how 4761 (that does not use PWs in the strict
sense of the term) is applicable to the dual PW solution. Could you please
elaborate? Can MP-BGP distribute two labels simultaneously?
[Sam] I know what you mean, but there are 2 VPLS BGP NLRIs, one is for Root
and another is for Leaf. So we really distribute 2 labels (different label
blocks) simultaneously if need.

[Sasha] 2. The solution based on 6074 can work with the dual-PW mechanism,
but it requires some extension (the PE type must be communicated)
[Sam] I agree. Multi-PW approach has extended it. Please refer to Multi-PW
draft. 

[Sasha] 3. In the past, at the early stages of VPLS standardization, the
rationale for accepting two standard solutions for VPLS (4761 and 4762) has
been the need to support VPLS over BGP-free domains. This is why I would
prefer an E-Tree solution that would not strongly depend on BGP-AD to take
care of changes that are local to a single PE. (You may call that a personal
bias:-).
[Sam] Maybe E-Tree approach should support RFC 4761, RFC 6074 and RFC 4762.
You can find that Multi-PW approach supports E-tree deployment over BGP-free
domain, but it also supports E-Tree deployment over BGP domain.

Regards,
 
Yuqun (Sam) Cao
 
-----Original Message-----
From: Alexander Vainshtein [mailto:[email-masked]] 
Sent: Sunday, April 22, 2012 3:27 PM
To: Sam Cao
Cc: [email-masked]; 'Daniel Cohn'; 'Henderickx, Wim (Wim)'; 'Rogers, Josh';
'Lucy yong'

Sam,

I will try to provide additional  input for the issues list directly to you.
I think that providing a mutually agreed upon list of issues would be an
important step forward: we may not be able to answer some questions we ask,
but the chance that the questions that have not be asked would somehow be
answered is IMHO negligible:-).

1. I do not understand how 4761 (that does not use PWs in the strict sense
of the term) is applicable to the dual PW solution. Could you please
elaborate? Can MP-BGP distribute two labels simultaneously?
2. The solution based on 6074 can work with the dual-PW mechanism, but it
requires some extension (the PE type must be communicated)
3. In the past, at the early stages of VPLS standardization, the rationale
for accepting two standard solutions for VPLS (4761 and 4762) has been the
need to support VPLS over BGP-free domains. This is why I would prefer an
E-Tree solution that would not strongly depend on BGP-AD to take care of
changes that are local to a single PE. (You may call that a personal
bias:-).

Regards,
     Sasha

> Cc: [email-masked]; 'Daniel Cohn'; 'Henderickx, Wim (Wim)'; 'Rogers,
Josh';
> together
Josh';
> mechanism,
too
> > if a Mix PE reverts to a Leaf only one, all its Leaf-only peers must
drop
> > and shut down the relevant PWs...
It
and,
> > supporting Root ACs (or vice versa), removal of the last Leaf or last
Root
hate
processing
> uses
approaches
to
to
> > contents of and attachments to this E-mail is strictly prohibited and
may
> > Telecom. If you have received this transmission in error, please inform
us
> > Telecom. If you have received this transmission in error, please inform
us

---

From: "Sam Cao" <[email-masked]>
Date: Mon, 23 Apr 2012 09:27:26 +0800

Sasha,

Can we close this now? Daniel and I explained it, but is it acceptable for
you?

Sam

-----Original Message-----
From: Alexander Vainshtein [mailto:[email-masked]] 
Sent: Thursday, April 19, 2012 9:19 PM
To: Sam Cao
Cc: [email-masked]; 'Daniel Cohn'; 'Henderickx, Wim (Wim)'; 'Rogers, Josh';
'Lucy yong'

My 2c,
     Sasha

orthogonal
in
the
for

---

From: "Sam Cao" <[email-masked]>
Date: Mon, 23 Apr 2012 09:30:37 +0800

I agree with Josh's idea. But Multi-PW approach also covers the case Sasha
mentioned. Operator can configure E-Tree manually without BGP AD.

Sam

-----Original Message-----
From: Rogers, Josh [mailto:[email-masked]] 
Sent: Friday, April 20, 2012 2:33 AM
To: Alexander Vainshtein; DelRegno, Christopher N (Nick)
Cc: [email-masked]; Daniel Cohn; Henderickx, Wim (Wim); Lucy yong; Sam Cao
Subject: Re: The status of the approaches to the E-Tree solution?

On 4/19/12 2:30 PM, "Alexander Vainshtein"
<[email-masked]> wrote:

>>>valid
>>>between
>>>don't
>>>(Wim)';
>>>solution
>>>have
>>>perhaps
>>>contains
>>>subject

---

From: Giles Heron <[email-masked]>
Date: Tue, 24 Apr 2012 08:43:46 +0100

On 19/04/2012 06:03, "Henderickx, Wim (Wim)"
<[email-masked]> wrote:

> Rogers, Josh
> WH> we have a number of customers using it, which also want to deploy ETREE
> with it. They use it mainly to Optimize BUM and multicast traffic.

Which makes sense.  And on that basis I'd expect to see more requirement for
P2MP from root to leaves than the reverse.  Firstly because there tend to be
more leaves than roots (so there's more benefit in efficient replication),
and secondly because many providers want to stream IP multicast from roots
to leaves.

> WH> I don't think we want to kill both but the idea is to come to 1 solution.
> As I expressed before the VLAN approach is naturally supporting P2P or P2MP
> LSPs since it is independent of the PW construction since the ETREE decision
> is taken outside the PW.

Right.

Giles

> unlawful. If you have received this E-mail in error, please notify the sender
> immediately and permanently delete the original and any copy of this E-mail
> and any printout.